Name:		magicmodperl
Version:	0.1
Release:	9%{?dist}
Summary:	mod_perl Magic configurations.

Group:		Applications/System
License:	GPL
URL:		http://www.magic.fr
Source0:	%{name}-%{version}.tar.gz
Requires:	magicarbohttpd, mod_perl

%description
Meta package for seting perl web directory in the sdfrance home folder.

%prep
%setup -q 

%build

%pre

%postun

%install

%post
if [ "$1" = "1" ]; then

cat >/etc/httpd/conf/perl.conf <<EOF 
LoadModule perl_module modules/mod_perl.so

PerlSwitches -w

PerlSwitches -T

Alias /perl /home/sdfrance/perl
<Directory /home/sdfrance/perl>
    SetHandler perl-script
    PerlResponseHandler ModPerl::Registry
    PerlOptions +ParseHeaders
    Options +ExecCGI
</Directory>

EOF
else 
echo 'perl.conf will not be overwriten!'
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)

%doc

%changelog
* Tue Mar 30 2015 Adnane RABIH <arabih@magic.fr> 1.0-9
- ...
* Tue Mar 30 2015 Adnane RABIH <arabih@magic.fr> 1.0-8
- perl.conf changes apliyed only at first install with $1 help.
* Tue Mar 30 2015 Adnane RABIH <arabih@magic.fr> 1.0-7
- specifiying perl.conf ine the files section
* Tue Mar 30 2015 Adnane RABIH <arabih@magic.fr> 1.0-6
- using "provides" 
* Tue Mar 30 2015 Adnane RABIH <arabih@magic.fr> 1.0-5
- perl.conf conflict fix
* Wed Mar 25 2015 Adnane RABIH <arabih@magic.fr> 1.0-4
- Spec integrity fix.
* Wed Mar 25 2015 Adnane RABIH <arabih@magic.fr> 1.0-3
- Simplifiying make file.
* Wed Mar 25 2015 Adnane RABIH <arabih@magic.fr> 1.0-2
- Initial build typo fix.
* Wed Mar 25 2015 Adnane RABIH <arabih@magic.fr> 1.0-1
- Initial build.
